import React, { ReactElement } from 'react';
import { IPublicTypeContextMenuAction, IPublicTypeHelpTipConfig, IPublicTypeTipConfig, IPublicTypeTitleContent } from '../type';
import { Breadcrumb, Button, Card, Checkbox, DatePicker, Dropdown, Form, Input, Pagination, Radio, Select, Spin, Switch, Table, Tree, TreeSelect, Upload, Divider, Modal, Tabs, Steps, message, ConfigProvider } from 'antd';
export interface IPublicApiCommonUI {
    Breadcrumb: typeof Breadcrumb;
    Button: typeof Button;
    Card: typeof Card;
    Checkbox: typeof Checkbox;
    DatePicker: typeof DatePicker;
    Modal: typeof Modal;
    Dropdown: typeof Dropdown;
    Form: typeof Form;
    Input: typeof Input;
    Pagination: typeof Pagination;
    Radio: typeof Radio;
    Spin: typeof Spin;
    Select: typeof Select;
    Switch: typeof Switch;
    Tabs: typeof Tabs;
    Table: typeof Table;
    Tree: typeof Tree;
    TreeSelect: typeof TreeSelect;
    Upload: typeof Upload;
    Divider: typeof Divider;
    Steps: typeof Steps;
    message: typeof message;
    ConfigProvider: typeof ConfigProvider;
    /**
     * Title 组件
     */
    get Tip(): React.ComponentClass<IPublicTypeTipConfig>;
    /**
     * HelpTip 组件
     */
    get HelpTip(): React.VFC<{
        help: IPublicTypeHelpTipConfig;
        /**
         * 方向
         * @default 'top'
         */
        direction: IPublicTypeTipConfig['direction'];
        /**
         * 大小
         * @default 'small'
         */
        size: string | number;
    }>;
    /**
     * Tip 组件
     */
    get Title(): React.ComponentClass<{
        title: IPublicTypeTitleContent | undefined;
        match?: boolean;
        keywords?: string | null;
    }>;
    get ContextMenu(): ((props: {
        menus: IPublicTypeContextMenuAction[];
        children: React.ReactElement[] | React.ReactElement;
    }) => ReactElement) & {
        create(menus: IPublicTypeContextMenuAction[], event: MouseEvent | React.MouseEvent): void;
    };
}
